> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create form

> Create a new application or follow-up form



## OpenAPI

````yaml post /v1.0/{company_id}/forms/application
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/forms/application:
    post:
      tags:
        - JobForms
      operationId: JobForms_CreateForm
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFormRequest'
        required: true
        x-position: 2
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleResponseOfCompanyFormDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    CreateFormRequest:
      type: object
      additionalProperties: false
      required:
        - name
        - type
      properties:
        questions:
          type: array
          items:
            $ref: '#/components/schemas/CreateFormQuestion'
        name:
          type: string
          minLength: 1
        type:
          $ref: '#/components/schemas/FormTypeEnum'
    SingleResponseOfCompanyFormDto:
      type: object
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/CompanyFormDto'
    ValidationProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    CreateFormQuestion:
      type: object
      additionalProperties: false
      required:
        - type
        - question
      properties:
        type:
          $ref: '#/components/schemas/Elements'
        question:
          type: string
          minLength: 1
        description:
          type: string
        options:
          type: array
          items:
            $ref: '#/components/schemas/CreateFormOptions'
        required:
          type: boolean
        restricted:
          type: boolean
        display_order:
          type: integer
          format: int32
    FormTypeEnum:
      type: string
      description: ''
      x-enumNames:
        - ApplicationQuestions
        - FollowUpQuestions
        - FeedbackForm
      enum:
        - application_questions
        - follow_up_questions
        - feedback_form
    CompanyFormDto:
      type: object
      additionalProperties: false
      required:
        - questions
      properties:
        questions:
          type: array
          items:
            $ref: '#/components/schemas/FormQuestion'
        id:
          type: string
          format: int32
          nullable: true
        name:
          type: string
        type:
          $ref: '#/components/schemas/FormTypeEnum'
        used_in:
          type: integer
          format: int32
    Elements:
      type: string
      description: ''
      x-enumNames:
        - Textbox
        - TextArea
        - Radio
        - Checkbox
        - Dropdown
        - Upload
        - Header
        - Scorecard
      enum:
        - textbox
        - text_area
        - radio
        - checkbox
        - dropdown
        - upload
        - header
        - scorecard
    CreateFormOptions:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        label:
          type: string
          minLength: 1
        description:
          type: string
        tag:
          $ref: '#/components/schemas/CreateTagOption'
    FormQuestion:
      type: object
      additionalProperties: false
      required:
        - type
      properties:
        id:
          type: string
          format: int32
          nullable: true
        type:
          $ref: '#/components/schemas/Elements'
        question:
          type: string
        description:
          type: string
        options:
          type: array
          items:
            $ref: '#/components/schemas/FormOptions'
        required:
          type: boolean
        restricted:
          type: boolean
        archived:
          type: boolean
        display_order:
          type: integer
          format: int32
    CreateTagOption:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
    FormOptions:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        id:
          type: string
          format: int32
          nullable: true
        label:
          type: string
          minLength: 1
        description:
          type: string
        tag:
          $ref: '#/components/schemas/TagOption'
        archived:
          type: boolean
    TagOption:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````